Update the current user
Updates the profile information of the current authenticated user.
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://auth.ecomiq.pe/v1/users/me" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "firstName": "Andrea", "lastName": "Ramos", "birthDate": "1990-05-14", "gender": "male", "documentType": "nationalId", "documentNumber": "45678912", "phoneNumber": "+51987654321", "address": "Av. Larco 1234", "countryCode": "PE", "avatarUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon" }'{ "id": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "email": "andrea.ramos@example.com", "isProfileComplete": false, "isConfirmed": false, "isEmailConfirmed": false, "isPhoneNumberConfirmed": false, "isTwoFactorEnabled": true, "isActive": true, "createdOn": "2026-09-28T15:30:00Z", "roles": [ "ejemplo" ], "status": "inactive", "hasPassword": false, "loginProviders": [ "ejemplo" ]}